Bug 443555 - Open Office Writer crash F9 Rawhide
Summary: Open Office Writer crash F9 Rawhide
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2
Version: 9
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-22 07:42 UTC by Marc
Modified: 2009-07-14 16:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:01:04 UTC


Attachments (Terms of Use)
Open Office Writer crash F9 Rawhide (13.90 KB, application/vnd.oasis.opendocument.text)
2008-04-22 07:42 UTC, Marc
no flags Details

Description Marc 2008-04-22 07:42:22 UTC
Description of problem:

Whenever I install updates in Fedora, I always do it by a freshen command in the
terminal, and then copy the output from the terminal to an Open Office document
before I reboot in case of any package issues later.  This has worked without
problem with Fedora Core 6, F7 and F8.

While testing F9 Rawhide, Open Office (Writer) crashed when the save button was
clicked (after the output from the terminal had been pasted into the new
document) and then issued a crash report.  I copied the crash report (Ctrl C),
and tried to close the crashed document, then waited for Open Office to close,
but it would not.  Eventually I was given the opportunity to force a quit, which
I did.  I waited a while and re-opened Open Office Writer again successfully and
was able to paste the crash report (enclosed here), and save the document
without it crashing.


Version-Release number of selected component (if applicable):

Open Office Writer 2.4


How reproducible:

Once after installing updates via the terminal in F9 Rawhide (the latest batch
of updates from the development mirror - 21/04/2008).


Steps to Reproduce:
1. None, as it appears to be a one-off occurrence.
2.
3.
  
Actual results:

Open Office Writer crashed after trying to save the pasted output from the terminal.


Expected results:

Expected the document to save as usual.

Additional info:

When the Open Office document re-opened after the crash, it asked to rescue the
document, which it did after I agreed, but it was just a blank document.

Comment 1 Marc 2008-04-22 07:42:22 UTC
Created attachment 303275 [details]
Open Office Writer crash F9 Rawhide

Comment 2 Caolan McNamara 2008-04-22 07:56:17 UTC
Dies in libglib/libgio

Comment 3 Matthias Clasen 2008-04-22 13:40:04 UTC
Is this reproducable ? If yes, can you try to get a better stacktrace ?
I'm not able to gain a lot of information from the one that is attached above.

Comment 4 Marc 2008-04-22 13:48:16 UTC
I'm going to install more F9 updates this evening, so will try the same
procedure again.  In the meantime, please could you tell me how to "get a better
stacktrace", as I don't know how to do this.

Thanks.

Comment 5 Marc 2008-04-23 07:58:37 UTC
Repeated the procedure above to install more updates last night, but Open Office
did not crash this time.  If there is another file on my PC with stacktrace
information that could help, please could you tell me where it is so that I can
attach it  here for you.

Comment 6 Bug Zapper 2008-05-14 09:55:15 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-06-10 00:21:25 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-07-14 16:01:04 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.